Update fields on multiple cases at once.
HTTP Method: POST
| Parameter |
Description |
| case_ids |
An array of case IDs to update. |
| fields |
An array of field objects to apply. |
| Field Parameter |
Description |
| input_id |
The ID of the case input to use with the field. |
| value |
The value of the field. |
| upsert |
Optional By default, only cases already associated with this field are updated. Set to true to add the field to cases that don't have it. |
Note: For case inputs with "Allow multiple" enabled, provide value as a pipe-delimited string, for example "option1|option2".
curl -X POST \
https://<tenant-domain>/api/v2/cases/bulk/fields \
-H 'content-type: application/json' \
-H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
-d '{
"case_ids": [42, 43, 44],
"fields": [
{
"input_id": 1,
"value": "High",
"upsert": true
},
{
"input_id": 2,
"value": "Security Team"
}
]
}'
A successful request will return a JSON object with the updated cases and their fields.
| Parameter |
Description |
| cases |
An array of updated case objects. |
| Case object |
Description |
| case_id |
The ID of the case. |
| fields |
An array of fields for this case. |
| Field object |
Description |
| id |
The field ID. |
| value |
The value of the field. |
| case_input |
An object containing the ID and name of the case input. |
{
"cases": [
{
"case_id": 42,
"fields": [
{
"id": 1,
"value": "High",
"case_input": {
"id": 1,
"name": "Priority"
}
},
{
"id": 2,
"value": "Security Team",
"case_input": {
"id": 2,
"name": "Assigned Team"
}
}
]
},
{
"case_id": 43,
"fields": [
{
"id": 3,
"value": "High",
"case_input": {
"id": 1,
"name": "Priority"
}
},
{
"id": 4,
"value": "Security Team",
"case_input": {
"id": 2,
"name": "Assigned Team"
}
}
]
},
{
"case_id": 44,
"fields": [
{
"id": 5,
"value": "High",
"case_input": {
"id": 1,
"name": "Priority"
}
},
{
"id": 6,
"value": "Security Team",
"case_input": {
"id": 2,
"name": "Assigned Team"
}
}
]
}
]
}